Skip to main content
POST
/
v1
/
documents
Upload a document
curl --request POST \
  --url https://api.antonpayments.com/v1/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form category=incorporation
{
  "data": {
    "id": "<string>",
    "merchant_id": "<string>",
    "category": "incorporation",
    "status": "uploaded",
    "file_name": "<string>",
    "content_type": "<string>",
    "file_size": 123,
    "entity_type": "<string>",
    "entity_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant API key: ak_live_* (production) or ak_test_* (sandbox).

Body

multipart/form-data
file
file
required
category
enum<string>
required
Available options:
incorporation,
shareholder_register,
director_id,
ubo_id,
proof_of_address,
bank_statement,
license,
tax_certificate,
aml_policy,
financial_statement,
beneficiary_proof,
rfi_response,
other

Response

Document uploaded.

data
object
required